#
# spec file for package xfce (Version 3.8.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ImageMagick gdk-pixbuf gdk-pixbuf-devel glib glib-devel gtk gtk-devel imlib imlib-devel xf86 xpm
# usedforbuild    ImageMagick aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xfce
Copyright:    GPL
Group:        X11/Window Managers
Requires:     gtk >= 1.2.3
Autoreqprov:  on
Version:      3.8.5
Release:      73
Source:       %{name}-%{version}.tar.bz2
Source1:       XFce
Patch:        %{name}-%{version}.dif
URL:          http://www.xfce.org/
BuildRoot:    /var/tmp/%{name}-root
Summary:      A lightweight desktop environment

%description
XFCE is a deskop environment similar to KDE. It doesn't need many resources.
There is no support for this packet, it also is not included in the
autoconfiguration process, i.e. you have to configure it yourself.

Authors:
--------
    fourdan@csi.com

SuSE series: xwm

%prep
%setup
%patch
# make SuSE_ICONS path
cd other
for i in  `ls xfce3rc*in`
do  
  sed -e  "s/SuSE_ICONS/\/usr\/X11R6\/share\/icons\/xpm\/hicolor\/all/"  $i > outfile
  sed -e  "s/XFCE_DIR/\/usr\/share\/xfce/" outfile > newfile
  cp newfile `basename $i .in`
  rm outfile newfile
done
# for xfsoundrc.in xfwmrc.in xfbdrc.in 
sed -e  "s/XFCE_DIR/\/usr\/share\/xfce/" xfsoundrc.in >  xfsoundrc
sed -e  "s/XFCE_DIR/\/usr\/share\/xfce/" xfwmrc.in >  xfwmrc
sed -e  "s/XFCE_DIR/\/usr\/share\/xfce/" xfbdrc.in >  xfbdrc
%{suse_update_config}

%build
%define prefix   /usr/X11R6
%define sysconfdir /etc/X11
aclocal
autoheader
automake -a -c -i --foreign
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{sysconfdir} \
		--datadir=/usr/share \
                --disable-dt \
		--enable-gtk-engine=/usr/lib/gtk/themes/engines \
		--with-locale-dir=/usr/share/locale \
		--with-data-dir=/usr/share/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 
cd other
install -m 644  Xclients  fvwm2rc  fvwmrc   xsession \
xfclockrc xfmouserc   xfsoundrc  xfwmrc  xinitrc  xinitrc.mwm \
xfbdrc    xfce3rc  xfce3rc.cs  xfce3rc.hu  xfce3rc.ja  xfce3rc.ko \
xfce3rc.nl xfce3rc.zh_CN.GB2312  xfce3rc.zh_TW.Big5  $RPM_BUILD_ROOT/etc/X11/xfce
install -m 644 XFce3.logo  COPYING  $RPM_BUILD_ROOT/usr/share/xfce/
chmod 0755 $RPM_BUILD_ROOT/%{sysconfdir}/xfce/{xsession,xinitrc,xinitrc.mwm,Xclients}
ln -sf ../../X11R6/include/X11/pixmaps $RPM_BUILD_ROOT/usr/share/xfce/more-icons
cd ../backdrops
install -m 644 *.jpg *.xpm *.list $RPM_BUILD_ROOT/usr/share/xfce/backdrops 
cd ../sounds
install -m 644  *.wav $RPM_BUILD_ROOT/usr/share/xfce/sounds
cd ../fonts
install -m 644 cursor2.pcf  fonts.dir  $RPM_BUILD_ROOT/usr/share/xfce/fonts
cd ../textures
install -m 644  *.xpm  $RPM_BUILD_ROOT/usr/share/xfce/textures
cd ../icons
install -m 644  *.xpm  $RPM_BUILD_ROOT/usr/share/xfce/icons
cd ../palettes
rm  DISTFILES.in Makefile*
rm -fr CVS 
cp -v * $RPM_BUILD_ROOT/usr/share/xfce/palettes
install -m 755 %{S:1} $RPM_BUILD_ROOT/usr/X11R6/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL ChangeLog AUTHORS COPYING README.UPGRADE-3.*
/usr/X11R6/bin/*
/usr/share/xfce
/usr/share/man/*/*
%config /etc/X11/xfce
/usr/lib/gtk/themes/engines/libxfce.*
/usr/share/locale/*/*/*mo

%changelog -n xfce
* Tue Jul 31 2001 - nadvornik@suse.cz
- update to 3.8.5
- started with script
* Mon Jun 11 2001 - pblaha@suse.cz
- update on 3.8.3
- fix compilation
* Thu May 17 2001 - pblaha@suse.cz
-  update on 3.8.2
-  move /etc/xfce -> /etc/X11/xfce
-  use for xfmountdev /floppy and /cdrom
-  integrate SuSE menu into XFCE panel
* Tue Apr 24 2001 - pblaha@suse.cz
- update on 3.8.0
* Tue Mar 06 2001 - pblaha@suse.cz
- update on 3.7.2
* Tue Feb 06 2001 - pblaha@suse.cz
- update on 3.7.1
* Thu Feb 01 2001 - pblaha@suse.cz
- update on 3.7.0
* Fri Dec 15 2000 - smid@suse.cz
- bad ovnership direcories fixed
* Sun Dec 03 2000 - smid@suse.cz
- new version 3.6.3
* Wed Nov 08 2000 - ro@suse.de
- fixed neededforbuild for ImageMagick
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 16 2000 - pblaha@suse.cz
- fixed prefix path to /usr/X11R6
* Mon Oct 16 2000 - pblaha@suse.cz
- update to 3.5.2  create czech locales
* Tue Aug 22 2000 - mha@suse.de
- update to 3.5.0
* Tue Jul 11 2000 - mha@suse.de
- new version: 3.4.3
* Tue Jul 04 2000 - mha@suse.de
- new version: 3.4.2
- change to spec file: add /etc/X11/xfce/ for config files
* Wed Jun 07 2000 - nadvornik@suse.cz
- sorted
* Wed Apr 26 2000 - smid@suse.cz
- buildroot added
* Tue Apr 04 2000 - ro@suse.de
- update to 3.3.3
* Tue Mar 21 2000 - mha@suse.de
- update to 3.3.2
* Fri Jan 21 2000 - mha@suse.de
- new version: 3.2.5 (the same as 3.2.4, but two background
  images where removed due to unclear copyright)
* Thu Jan 20 2000 - mha@suse.de
- new version: 3.2.4
* Mon Jan 10 2000 - mha@suse.de
- new version: 3.2.3
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 05 1999 - mha@suse.de
- new version
- changed location of setup-files from /usr/share/XFCE
  to /var/X11R6/XFCE
* Wed Jul 21 1999 - bs@suse.de
- fixed file list
* Mon Jul 19 1999 - mha@suse.de
- new package: xfce (wished for on the US mailing list)
  it's yet another windowmanager+apps (panel, pager,...)
